Subject: Re: bug#58893: 29.0.50; Feedback on Eglot manual

From: Felician Nemeth <[email-masked]>
Date: Sun, 06 Nov 2022 20:15:37 +0100

>> > * Snippet completion
>> >
>> > Yasnippet should be enabled in the current buffer before Eglot connects
>> > to the LSP server.
>
> Felicián, are you sure?  If that's true, then I think it's a bug.  I
> don't want users to have to remember this.  So I think the current
> gist "just install yasnippet" should be enough.

Eglot does not enable yasnippet mode anywhere.
eglot--snippet-expansion-fn only checks whether
yas-minor-mode/yas-global-mode is enabled.

So if it is considered as a bug, then I think the fix is to make
eglot--snippet-expansion-fn and eglot--managed-mode turn yas-minor-mode
on when it is available and yasnippet is not in eglot-stay-out-of.